name='node-semver'
version='7.6.2'
release='1'
desc='The semantic version parser used by npm'
homepage='https://github.com/npm/node-semver'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('ISC')
provides=('node-semver' 'semver')
conflicts=('node-semver' 'semver')

deps=('nodejs')
build_deps=('npm')

sources=("https://registry.npmjs.org/semver/-/semver-${version}.tgz?~archive=false")
checksums=('SKIP')

prepare() {
    cd "${srcdir}"
    npm install -g --prefix ${pkgdir}/usr semver-${version}.tgz
}
package() {
    install -d ${pkgdir}/usr/share/licenses/node-semver
    ln -s ../../../lib/node_modules/semver/LICENSE ${pkgdir}/usr/share/licenses/node-semver/LICENSE
}
