name='python3-log_symbols'
version='0.0.14'
release='1'
desc='Colored symbols for various log levels for Python'
homepage='https://github.com/manrajgrover/py-log-symbols'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')

deps=(
    'python'
    'python3-colorama'
)
build_deps=(
    'python3-setuptools'
)

sources=("https://files.pythonhosted.org/packages/source/l/log_symbols/log_symbols-${version}.tar.gz")
checksums=('SKIP')

build() {
	cd log_symbols-$version
	python setup.py build
}

package() {
	cd log_symbols-$version
	python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
}


