name='python3-rich'
version='13.9.4'
release='1'
desc='Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal.'
homepage='Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('python3-rich')
conflicts=('python3-rich' 'python-rich')

deps=(
  'python3-colorama'
  'python3-markdown-it-py'
  'python3-pygments'
)

build_deps=(
  'python3-build'
  'python3-installer'
  'python3-poetry-core'
  'python3-wheel'
)

build_deps_almalinux=(
  'python3-build'
  'python3-installer'
  'python3-poetry-core'
  'python3-setuptools-wheel'
)

sources=("https://github.com/willmcgugan/rich/archive/v${version}/rich-${version}.tar.gz")
checksums=('SKIP')

build() {
  cd rich-${version}
  python -m build --wheel --no-isolation
}

package() {
  cd rich-${version}
  python -m installer --destdir="$pkgdir" dist/*.whl
  install-license LICENSE ./python3-rich/LICENSE
}
