name='upscayl-bin'
version='2.15.0'
release='1'
desc='Free and Open Source AI Image Upscaler'
homepage='https://github.com/upscayl/upscayl'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('AGPL3')
provides=('upscayl')
conflicts=('upscayl' 'upscayl-bin')

deps=('libvips' 'openjpeg2' 'electron' 'nodejs')
deps_redos=('vips' 'openjpeg2' 'electron' 'nodejs')
build_deps=('unzip')

sources=("https://github.com/upscayl/upscayl/releases/download/v${version}/upscayl-${version}-linux.zip")
checksums=('SKIP')

prepare() {
	cd "${srcdir}"
	printf '%s\n' 'Icon=org.upscayl.Upscayl' >>./resources/org.upscayl.Upscayl.desktop
}

package() {
	cd "${srcdir}"
	install -Dm755 "${scriptdir}/upscayl" ${pkgdir}/usr/bin/upscayl

	cd ${srcdir}/resources/
	install -Dm755 ./org.upscayl.Upscayl.desktop "${pkgdir}/usr/share/applications/org.upscayl.Upscayl.desktop"
	install -Dm755 ./512x512.png "${pkgdir}/usr/share/pixmaps/org.upscayl.Upscayl.png"
	install -dm755 "${pkgdir}/opt/upscayl/"
	mv ./* "${pkgdir}/opt/upscayl/"
}
