name='electron-bin'
version='31'
release='1'
desc='Meta package providing the latest available stable Electron build.'
homepage='https://electronjs.org'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')
provides=("electron=${version}")
conflicts=('electron' 'electron-bin' 'electron-git')

build_deps=("electron${version}-bin")

package() {

	mkdir -p "${pkgdir}/usr/bin" "${pkgdir}/usr/lib"

	ln -sf "electron${version}" "${pkgdir}/usr/bin/${name}"
	ln -sf "electron${version}" "${pkgdir}/usr/lib/${name}"
}
