name='gigaide-ce'
version='242.21829.142.2'
release='1'
desc='IDE based on IDEA/PyCharm Community and 70 more tools'
desc_ru='IDE на базе IDEA/PyCharm Community и еще 70 инструментов'
homepage="https://gitverse.ru/features/gigaide/"
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=("amd64")
license=("Custom")
provides=(
	gigaide-ce
	gigaide
)
conflicts=(
	gigaide-ce
	gigaide
)

sources=(
	"https://gigaide.ru/downloadlast/gigaideCE-${version}.tar.gz"
)

checksums=(
	'sha256:ceb470f0c753a5a2ac069ff2927145da2b1151f01e60aa9dba78be1c864f423d'
)

package() {
	mkdir -p "${pkgdir}/opt/${name}"
	mkdir -p "${pkgdir}/usr/bin"

	cp -r "${srcdir}/gigaide-CE-${version}"/* "${pkgdir}/opt/${name}/"
	ln -s "/opt/${name}/bin/idea" "${pkgdir}/usr/bin/gigaide"

	install -Dm644 "${pkgdir}/opt/${name}/bin/idea.png" "${pkgdir}/usr/share/icons/gigaide.png"
	install -Dm644 "${scriptdir}/gigaide.desktop" "${pkgdir}/usr/share/applications/gigaide.desktop"
}

files() {
	printf '"%s" ' ./opt/**/*
  	echo ./usr/bin/gigaide
  	echo ./usr/share/applications/gigaide.desktop
  	echo ./usr/share/icons/gigaide.png
}
