name='md4c'
version='0.5.2'
release='1'
desc='C Markdown parser.'
homepage='https://github.com/mity/md4c'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('MIT')

deps=(
    'glibc'
)
build_deps=(
    'cmake'
)

sources=("https://github.com/mity/md4c/archive/release-$version.tar.gz")
checksums=('SKIP')

build() {
  cmake -B build -S $name-release-$version \
    -DCMAKE_INSTALL_PREFIX=/usr
  cmake --build build -j$(($(nproc) - 1))
}

package() {
  DESTDIR="$pkgdir" cmake --install build

  install -Dm644 $name-release-$version/LICENSE.md -t "$pkgdir"/usr/share/licenses/$name/
}



