name='node-gyp'
version='10.1.0'
release='3'
desc='Node.js native addon build tool'
homepage='https://github.com/nodejs/node-gyp'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('node-gyp')
conflicts=('node-gyp')

deps=('nodejs' 'nodejs-nopt' 'python' 'node-semver')
build_deps=('npm')

deps_fedora=('nodejs' 'python' 'node-semver')

sources=("https://registry.npmjs.org/node-gyp/-/node-gyp-${version}.tgz?~archive=false")
checksums=('SKIP')

prepare() {
    cd "${srcdir}"
    npm install -g --prefix ${pkgdir}/usr node-gyp-${version}.tgz
    rm -r ${pkgdir}/usr/lib/node_modules/node-gyp/node_modules/{,.bin/}nopt
    rm -r ${pkgdir}/usr/lib/node_modules/node-gyp/node_modules/{,.bin/}semver
}
package() {
    install -d ${pkgdir}/usr/share/licenses/node-gyp
    ln -s ../../../lib/node_modules/node-gyp/LICENSE ${pkgdir}/usr/share/licenses/node-gyp/LICENSE
}
