#!/bin/sh
if grep -q ID=debian "/etc/os-release"; then
	sudo dpkg --add-architecture i386
	sudo apt-get install libvulkan1:i386 libgl1:i386
	sudo apt-get update
elif grep -q ID=fedora "/etc/os-release"; then
	sudo dnf install https://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-$(rpm -E %fedora).noarch.rpm
	sudo dnf update
	sudo dnf upgrade --refresh
fi
