name='python3-halo'
version='0.0.31'
release='1'
desc='Beautiful terminal spinners in Python'
homepage='https://github.com/manrajgrover/halo'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')

deps=(
    'python'
    'python3-log_symbols'
    'python3-spinners'
    'python3-termcolor'
    'python3-six'
)
build_deps=(
    'python3-build'
    'python3-installer'
    'python3-setuptools'
    'python3-wheel'
)

sources=("https://files.pythonhosted.org/packages/source/h/halo/halo-${version}.tar.gz")
checksums=('SKIP')

build() {
  cd halo-$version
  python setup.py build
}

package() {
  cd halo-$version
  python setup.py install --skip-build -O1 --root="$pkgdir"
}


