name='python3-pytest-regressions'
version='2.7.0'
release='1'
desc='Fixtures to write regression tests.'
homepage='https://github.com/ESSS/pytest-regressions'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('pytest-regressions')
conflicts=('pytest-regressions')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")
deps_almalinux=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")
build_deps_almalinux=("python3" "python3-pip")

sources=("https://files.pythonhosted.org/packages/source/p/pytest-regressions/pytest_regressions-${version}.tar.gz")
checksums=('blake2b-256:07402e233d49a86e2ba88325bcfdcad77fa56b05ba7ca61b58bc0212330e560a')

build() {
        cd "$srcdir/pytest_regressions-${version}/"
        python3 -m build
}

package() {
        cd "$srcdir/pytest_regressions-${version}"
        python3 setup.py install --root="${pkgdir}/" --optimize=1 || return 1
}