name='python3-spinners'
version='0.0.24'
release='1'
desc='Spinners for terminal, python wrapper for amazing node library cli-spinners'
homepage='https://github.com/ManrajGrover/py-spinners'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('all')
license=('MIT')

deps=(
    'python'
)
build_deps=(
    'python3-setuptools'
)

sources=("https://files.pythonhosted.org/packages/source/s/spinners/spinners-${version}.tar.gz")
checksums=('SKIP')

build() {
	cd "spinners-$version"
	python setup.py build
}

package() {
	cd "spinners-$version"
	python setup.py install --root="$pkgdir/" --optimize=1 --skip-build
}


