name='python3-wheel'
version='0.45.1'
release='4'
desc='This is a command line tool for manipulating Python wheel files, as defined in PEP 427'
homepage='https://github.com/pypa/wheel'
maintainer='Евгений Храмов <xpamych@yandex.ru>'
architectures=('all')
license=('MIT')
provides=('python-wheel')
conflicts=('python-wheel')

deps=("python3")
deps_arch=("python")
deps_alpine=("python3")
deps_almalinux=("python3")

build_deps=("python3" "python3-pip")
build_deps_arch=("python" "python-pip")
build_deps_alpine=("python3" "py3-pip")
build_deps_almalinux=("python3" "python3-pip")

sources=("https://files.pythonhosted.org/packages/source/w/wheel/wheel-${version}.tar.gz")
checksums=('blake2b-256:8a982d9906746cdc6a6ef809ae6338005b3f21bb568bea3165cfc6a243fdc25c')

build() {
        cd "$srcdir/wheel-${version}"
        python3 -m build
}

package() {
        cd "$srcdir/wheel-${version}"
        pip install --root="${pkgdir}/" . --no-deps --disable-pip-version-check
}
