name='qmk-hid-host-git'
version='latest'
release='2'
desc='Host component for communicating with QMK keyboards using Raw HID feature.'
homepage='https://github.com/zzeneg/qmk-hid-host'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT')
provides=('qmk-hid-host-git')
conflicts=('qmk-hid-host' 'qmk-hid-host-git')

build_deps=(
  'cargo'
  'rust-libudev-devel'
  'pulseaudio'
  'dbus-devel'
  'libX11-devel'
)
build_deps_debian=(
  'cargo'
  'libudev-dev'
  'pulseaudio'
  'libdbus-1-dev'
)
build_deps_arch=(
'cargo'
'libudev0'
'pulseaudio'
'dbus'
)

sources=("git+https://github.com/zzeneg/qmk-hid-host.git")
checksums=('SKIP')

version() {
	cd "$srcdir/qmk-hid-host"
	git-version
}

build() {
	cd "${srcdir}/qmk-hid-host"
	cargo build
}

package() {
	install -Dm755 "${srcdir}/qmk-hid-host/target/debug/qmk-hid-host" "${pkgdir}/usr/bin/qmk-hid-host"
}
