name='yandex-disk'
version='0.1.6.1080'
release='3'
desc='Yandex.Disk keeps your files with you at all times.'
homepage='http://disk.yandex.ru/'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('LicenseRef-yandex-disk')
provides=('yandex-disk')
conflicts=('yandex-disk')

deps=('glibc'
      'gcc'
      'libgcc'
      'zlib')
build_deps=('bsdtar'
)

opt_deps=(
	'yandex-disk-indicator: Panel indicator (GUI) for YandexDisk CLI client for Linux.'
)

sources=("https://repo.yandex.ru/yandex-disk/deb/pool/main/y/yandex-disk/yandex-disk_${version}_amd64.deb"	)
checksums=('SKIP')

scripts=(
	['postinstall']='postinstall.sh'
)

package() {
    cd "$srcdir"
    ar x yandex-disk_${version}_amd64.deb
    bsdtar xf data.tar.gz -C "$pkgdir"
    install-license "${pkgdir}/usr/share/doc/yandex-disk/copyright" ${name}/LICENSE
    install-systemd "${scriptdir}/yandex-disk.service"
}
